.\"	$NetBSD: mt.4,v 1.9 2003/04/06 19:29:41 wiz Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)mt.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt MT 4 vax
.Os
.Sh NAME
.Nm mt
.Nd
.Tn TM-78 Ns / Ns Tn TU-78
.Tn MASSBUS
mag tape interface
.Sh SYNOPSIS
.Cd "mt0 at mba? drive ? tape mu0 at mt0 slave 0"
.Sh DESCRIPTION
The
.Tn TM-78 Ns / Ns Tn TU-78
combination provides a standard tape drive
interface as described in
.Xr mtio 4 .
Only 1600 and 6250
.Tn BPI
are supported; the
.Tn TU-78
runs at 125
.Tn IPS
and autoloads tapes.
.Sh DIAGNOSTICS
.Bl -diag
.It mu%d: no write ring.
An attempt was made to write on the tape drive
when no write ring was present; this message is written on the terminal of
the user who tried to access the tape.
.Pp
.It mu%d: not online.
An attempt was made to access the tape while it
was offline; this message is written on the terminal of the user
who tried to access the tape.
.Pp
.It "mu%d: can't change density in mid-tape."
An attempt was made to write
on a tape at a different density than is already recorded on the tape.
This message is written on the terminal of the user who tried to switch
the density.
.Pp
.It "mu%d: hard error bn%d mbsr=%b er=%x ds=%b."
A tape error occurred
at block
.Em bn ;
the mt error register and drive status register are
printed in octal with the bits symbolically decoded.  Any error is
fatal on non-raw tape; when possible the driver will have retried
the operation which failed several times before reporting the error.
.Pp
.It mu%d: blank tape.
An attempt was made to read a blank tape (a tape without even
end-of-file marks).
.Pp
.It mu%d: offline.
During an i/o operation the device was set offline.  If a
non-raw tape was used in the access it is closed.
.El
.Sh SEE ALSO
.Xr mt 1 ,
.Xr tar 1 ,
.Xr mtio 4 ,
.Xr tm 4 ,
.Xr ts 4 ,
.Xr ut 4
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.1 .
.Sh BUGS
If a physical error (non-data) occurs,
.Nm
may hang ungracefully.
.Pp
Because 800
.Tn BPI
tapes are not supported, the numbering of minor devices
is inconsistent with triple-density tape units.
Unit 0 is drive 0, 1600
.Tn BPI .
